<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">Bereitschaftsgruppe kopieren</h4>
  <button type="button" class="close" aria-label="Close" (click)="decide(false)" id="validityClose">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <p>Bitte wählen Sie die Bereiche der Gruppe aus, die kopiert werden sollen.</p>
  <form [formGroup]="form" novalidate>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" value="" id="copyRegionCheckbox" formControlName="copyRegion">
      <label class="form-check-label" for="copyRegionCheckbox">
        Regionen kopieren
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" value="" id="copyFunctionCheckbox" formControlName="copyFunction">
      <label class="form-check-label" for="copyFunctionCheckbox">
        Funktionen kopieren
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" value="" id="copyUserCheckbox" formControlName="copyUser">
      <label class="form-check-label" for="copyUserCheckbox">
        Mitarbeiter kopieren
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" value="" id="copyPlusOneYearCheckbox" formControlName="userPlusOneYear">
      <label class="form-check-label" for="copyPlusOneYearCheckbox">
        Mitarbeiterzeiten beim kopieren um 1 Jahr erhöhen
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" value="" id="copyBranchCheckbox" formControlName="copyBranch">
      <label class="form-check-label" for="copyBranchCheckbox">
        Sparten kopieren
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" value="" id="copyCalendarCheckbox" formControlName="copyCalendar">
      <label class="form-check-label" for="copyCalendarCheckbox">
        Kalender kopieren
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" value="" id="copyDurationCheckbox" formControlName="copyDuration">
      <label class="form-check-label" for="copyDurationCheckbox">
        Bereitschaftsdauern kopieren
      </label>
    </div>
  </form>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-success" (click)="decide(true)" id="copyConfirm">Kopieren</button>
  <button type="button" class="btn btn-danger" (click)="decide(false)" id="copyCancel">Abbrechen</button>
</div>